Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class PropertyValue

    java.lang.Object
      com.compoze.domino.PropertyValue

All Implemented Interfaces:
  java.io.Serializable

public class PropertyValue
extends java.lang.Object
implements java.io.Serializable

This class stores the value for a property.

See Also:
  Serialized Form

Nested Class Summary
`class` | `PropertyValue.PropertyValueNullException` Inner class.

Constructor Summary
`PropertyValue(PropertyKey key, boolean bValue)` Constructor.
`PropertyValue(PropertyKey key, java.util.Date value, java.util.TimeZone timeZone)` Constructor.
`PropertyValue(PropertyKey key, double dValue)` Constructor.
`PropertyValue(PropertyKey key, int iValue)` Constructor.
`PropertyValue(PropertyKey key, java.lang.Integer value)` Constructor.
`PropertyValue(PropertyKey key, java.lang.Object value)` Constructor.
`PropertyValue(PropertyKey key, java.lang.String sValue)` Constructor.

Method Summary
`boolean` | `getBooleanValue()` Gets the value of a boolean property.
`java.util.Date[]` | `getDateArrayValue()` Sets the value of a date property.
`java.util.Date` | `getDateValue()` Gets the value of a Date property.
`double` | `getDoubleValue()` Gets the value of a double property.
`int` | `getIntValue()` Gets the value of an int property.
`PropertyKey` | `getKey()` Gets the property key.
`java.lang.String[]` | `getStringArrayValue()` Sets the value of a string property.
`java.lang.String` | `getStringValue()` Gets the value of a string property.
`java.lang.Object` | `getValue()` Gets the value of the property.
`boolean` | `isUpdated()` Determines if the value has been updated.
`void` | `setBooleanValue(boolean bValue)` Sets a boolean value and sets the updated flag to `true`.
`void` | `setDateValue(java.util.Date value)` Sets a Date value and sets the updated flag to `true`.
`void` | `setDoubleValue(double dValue)` Sets a double value and sets the updated flag to `true`.
`void` | `setIntValue(int iValue)` Sets an int value and sets the updated flag to `true`.
`void` | `setStringArrayValue(java.lang.String[] value)` Sets a string array value and sets the updated flag to `true`.
`void` | `setStringValue(java.lang.String sValue)` Sets a string value and sets the updated flag to `true`.
`void` | `setTimeZone(java.util.TimeZone timeZone)` Sets the time zone.
`void` | `setUpdated(boolean bUpdated)` Sets the updated flag (forces a property for an item to be saved to the server the next time it is updated).
`java.lang.String` | `toString()` Creates a string representation of the value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyValue

    public PropertyValue(PropertyKey key,
                         java.lang.Object value)
                  throws DominoException

  Constructor.

Parameters:
  `key` - the property key
  `value` - the property value

### PropertyValue

    public PropertyValue(PropertyKey key,
                         java.lang.String sValue)
                  throws DominoException

  Constructor.

Parameters:
  `key` - the property key
  `sValue` - the string value

### PropertyValue

    public PropertyValue(PropertyKey key,
                         int iValue)
                  throws DominoException

  Constructor.

Parameters:
  `key` - the property key
  `iValue` - the int value

### PropertyValue

    public PropertyValue(PropertyKey key,
                         java.lang.Integer value)
                  throws DominoException

  Constructor.

Parameters:
  `key` - the property key
  `value` - the int value

### PropertyValue

    public PropertyValue(PropertyKey key,
                         double dValue)
                  throws DominoException

  Constructor.

Parameters:
  `key` - the property key
  `dValue` - the double value

### PropertyValue

    public PropertyValue(PropertyKey key,
                         boolean bValue)
                  throws DominoException

  Constructor.

Parameters:
  `key` - the property key
  `bValue` - the boolean value

### PropertyValue

    public PropertyValue(PropertyKey key,
                         java.util.Date value,
                         java.util.TimeZone timeZone)
                  throws DominoException

  Constructor.

Parameters:
  `key` - the property key
  `value` - the date value
  `timeZone` - the time zone

Method Detail

### setTimeZone

    public void setTimeZone(java.util.TimeZone timeZone)

  Sets the time zone.

  Parameters:
    `timeZone` - the time zone (may not be `null`)

### getKey

    public PropertyKey getKey()

  Gets the property key.

  Returns:
    the property key

### getValue

    public java.lang.Object getValue()

  Gets the value of the property.

  Returns:
    the value

### setStringValue

    public void setStringValue(java.lang.String sValue)

  Sets a string value and sets the updated flag to `true`.

  Parameters:
    `sValue` - the string value

### getStringValue

    public java.lang.String getStringValue()
                                    throws DominoException

  Gets the value of a string property.

  Returns:
    the string value
  Throws:
    `DominoException` - if the value is not a string

### setStringArrayValue

    public void setStringArrayValue(java.lang.String[] value)

  Sets a string array value and sets the updated flag to `true`.

  Parameters:
    `value` - the string array value

### getStringArrayValue

    public java.lang.String[] getStringArrayValue()
                                           throws DominoException

  Sets the value of a string property.

  Returns:
    the string value
  Throws:
    `DominoException` - if the value is not a string

### setIntValue

    public void setIntValue(int iValue)

  Sets an int value and sets the updated flag to `true`.

  Parameters:
    `iValue` - the int value

### getIntValue

    public int getIntValue()
                    throws DominoException

  Gets the value of an int property.

  Returns:
    the int value
  Throws:
    `DominoException` - if the value is not an int

### setDoubleValue

    public void setDoubleValue(double dValue)

  Sets a double value and sets the updated flag to `true`.

  Parameters:
    `dValue` - the double value

### getDoubleValue

    public double getDoubleValue()
                          throws DominoException

  Gets the value of a double property.

  Returns:
    the double value
  Throws:
    `DominoException` - if the value is not an double

### setBooleanValue

    public void setBooleanValue(boolean bValue)

  Sets a boolean value and sets the updated flag to `true`.

  Parameters:
    `bValue` - the boolean value

### getBooleanValue

    public boolean getBooleanValue()
                            throws DominoException

  Gets the value of a boolean property.

  Returns:
    the boolean value
  Throws:
    `DominoException` - if the value is not an int

### setDateValue

    public void setDateValue(java.util.Date value)

  Sets a Date value and sets the updated flag to `true`.

  Parameters:
    `value` - the date value

### getDateValue

    public java.util.Date getDateValue()
                                throws DominoException

  Gets the value of a Date property.

  Returns:
    the date value
  Throws:
    `DominoException` - if the value is not an date

### getDateArrayValue

    public java.util.Date[] getDateArrayValue()
                                       throws DominoException

  Sets the value of a date property.

  Returns:
    the date value
  Throws:
    `DominoException` - if the value is not a string

### isUpdated

    public boolean isUpdated()

  Determines if the value has been updated.

  Returns:
    true if the value has been updated

### setUpdated

    public void setUpdated(boolean bUpdated)

  Sets the updated flag (forces a property for an item to be saved to the server the next time it is updated).

### toString

    public java.lang.String toString()

  Creates a string representation of the value. If the value is null, an empty string is returned.

  Returns:
    the string representation of the value, or an empty string if the value is `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.